
package it.cs.android33;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.text.TextUtils;
import android.text.util.Linkify;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.ToggleButton;


public class WidgetExampleActivity extends Activity implements OnCheckedChangeListener  {
    /** Called when the activity is first created. */
	public RadioGroup radio;
	public CheckBox check;
	public ToggleButton toggle;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.main);

        TextView text=(TextView)findViewById(R.id.text1);

       	text.setSingleLine(true);

		Button simple = (Button)findViewById(R.id.buttonS);
		simple.setOnClickListener(myListener);

        text.setHorizontallyScrolling(true);
        text.setEllipsize(TextUtils.TruncateAt.MARQUEE);

        Linkify.addLinks(text, Linkify.PHONE_NUMBERS |
        		Linkify.EMAIL_ADDRESSES |
        		Linkify.WEB_URLS);

        String[] tips=getResources().getStringArray(R.array.tips);
        ArrayAdapter<String> adapter=new ArrayAdapter<String> (this,android.R.layout.simple_dropdown_item_1line,tips);
        AutoCompleteTextView acTextView=(AutoCompleteTextView)findViewById(R.id.editText1);
        acTextView.setAdapter(adapter);

        radio=(RadioGroup)findViewById(R.id.radioGroup1);
        RadioGroup.OnCheckedChangeListener listener=new RadioGroup.OnCheckedChangeListener() {


			@Override
			public void onCheckedChanged(RadioGroup arg0, int arg1) {
				if (arg1 == R.id.radio0)
					radio.setBackgroundColor(Color.RED);
				else if (arg1 == R.id.radio1)
					radio.setBackgroundColor(Color.BLUE);
				else if (arg1 == R.id.radio2)
					radio.setBackgroundColor(Color.GREEN);

			}
		};

		radio.setOnCheckedChangeListener(listener);

		CheckBox check=(CheckBox)findViewById(R.id.checkBox1);
		check.setOnCheckedChangeListener(this);
		ToggleButton toggle=(ToggleButton)findViewById(R.id.toggleButton1);
		toggle.setOnCheckedChangeListener(this);

    }


	@Override
	public void onCheckedChanged(CompoundButton arg0, boolean arg1) {
		CheckBox check=(CheckBox)findViewById(R.id.checkBox1);
		ToggleButton toggle=(ToggleButton)findViewById(R.id.toggleButton1);
		if (arg0==check) {
			if (arg0.isChecked()) {
				TextView text=(TextView)findViewById(R.id.text1);
				text.setText("CHECKED!");
				toggle.performClick();
			} else {
				TextView text=(TextView)findViewById(R.id.text1);
				text.setText("UNCHECKED!");
				toggle.performClick();
			}
		} else {
			if (arg0.isChecked()) {
				AutoCompleteTextView acTextView=(AutoCompleteTextView)findViewById(R.id.editText1);
				acTextView.setEnabled(true);
			} else {
				AutoCompleteTextView acTextView=(AutoCompleteTextView)findViewById(R.id.editText1);
				acTextView.setEnabled(false);
			}

		}
	}

	public void onClickButton(View v) {
		TextView text=(TextView)findViewById(R.id.text1);
		text.setText("BUTTON PRESSED!");
	}

	private OnClickListener myListener = new OnClickListener() {
		public void onClick(View v) {
			// do something when the button is clicked
			Intent i = new Intent();
			i.setClass(getApplicationContext(), Elements.class);
			startActivity(i);
		}
	};


}